function init()
	lights = FindShapes("blink")
end

function draw()
	for i=1, #lights do
		local l = lights[i]
		local p = tonumber(GetTagValue(l, "blink")) or 1
		local s = math.sin((GetTime()+i) * p)
		SetShapeEmissiveScale(l, s > 0 and 1 or 0)
	end
end
